Skip to main content
GET
/
v1
/
links
/
{link_id}
/
employments
List all employments
curl --request GET \
  --url https://prod.truv.com/v1/links/{link_id}/employments/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
[
  {
    "id": "24d7e80942ce4ad58a93f70ce4115f5c",
    "start_date": "2018-01-01T00:00:00.000Z",
    "company": {
      "name": "Facebook Demo",
      "address": {
        "street": "1 Morgan Ave",
        "city": "Los Angeles",
        "state": "CA",
        "zip": "90210",
        "country": "US"
      },
      "phone": "6503087300",
      "ein": "12-345678"
    },
    "income": "70000.00",
    "income_unit": "YEARLY",
    "pay_rate": "6500.00",
    "pay_frequency": "M",
    "is_active": false,
    "job_title": "PR associate",
    "job_type": "F",
    "original_hire_date": "2017-06-21T00:00:00.000Z",
    "end_date": "2023-12-25",
    "external_last_updated": "2023-12-25",
    "derived_fields": [
      "is_active"
    ],
    "missing_data_fields": [
      "w2s"
    ],
    "manager_name": "Jenny McDouglas"
  }
]

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

Link ID

Response

id
string
required

Unique ID

Example:

"24d7e80942ce4ad58a93f70ce4115f5c"

start_date
string<date> | null
required

Employee's hire date

Example:

"2018-01-01T00:00:00.000Z"

company
object
required

Company information

income
string<decimal> | null

Income amount not including commission or bonuses

Example:

"70000.00"

income_unit
enum<string> | null

The pay interval the income field refers to:

  • YEARLY - Annual income,
  • MONTHLY - Monthly income,
  • WEEKLY - Weekly income,
  • DAILY - Daily income,
  • HOURLY - Hourly income
Available options:
YEARLY,
MONTHLY,
WEEKLY,
DAILY,
HOURLY,
null
pay_rate
string<decimal> | null

Payment rate per pay cycle

Example:

"6500.00"

pay_frequency
enum<string> | null

Pay frequency:

  • M - Monthly,
  • SM - Semi-Monthly,
  • W - Weekly,
  • BW - Bi-Weekly,
  • A - Annually,
  • SA - Semiannually,
  • C - Commission
Available options:
M,
SM,
W,
BW,
A,
SA,
C,
null
is_active
boolean | null

Indicates whether the employment is still active

Example:

false

job_title
string | null

Employee's job title

Example:

"PR associate"

job_type
enum<string> | null

Employee's job type:

  • F - Full Time,
  • P - Part Time,
  • S - Seasonal,
  • D - Daily (per diem),
  • C - Contract,
  • V - Volunteer
Available options:
F,
P,
S,
D,
C,
V,
null
original_hire_date
string<date> | null

Original hire date

Example:

"2017-06-21T00:00:00.000Z"

end_date
string<date> | null

Employee's end date

external_last_updated
string<date> | null

Indicates the date when employment data was last updated on the Payroll Provider side

derived_fields
string[]

Array of derived fields

Example:
["is_active"]
missing_data_fields
string[]

List of the data fields which are missing in the payroll API response

Example:
["w2s"]
manager_name
string

Supervisor's name

Example:

"Jenny McDouglas"